package db

import (
	"applet/app/db/model"
	"applet/app/utils"
	"xorm.io/xorm"
)

func GetGoods(eg *xorm.Engine, arg map[string]string) *[]model.CommunityTeamGoods {
	var data []model.CommunityTeamGoods
	sess := eg.Where("store_type=? and state=0", arg["store_type"])
	if arg["cid"] != "" {
		sess.And("cid=?", arg["cid"])
	}
	if arg["uid"] != "" {
		sess.And("uid=?", arg["uid"])
	}
	if arg["title"] != "" {
		sess.And("title like ?", "%"+arg["title"]+"%")
	}
	limit := utils.StrToInt(arg["size"])
	start := (utils.StrToInt(arg["p"]) - 1) * limit
	err := sess.OrderBy("sort desc,sale_count desc,id desc").Limit(limit, start).Find(&data)
	if err != nil {
		return nil
	}
	return &data
}

func GetGoodsSess(sess *xorm.Session, id int) *model.CommunityTeamGoods {
	var data model.CommunityTeamGoods
	get, err := sess.Where("id=?", id).Get(&data)
	if get == false || err != nil {
		return nil
	}
	return &data
}
func GetGoodsId(eg *xorm.Engine, id string) *model.CommunityTeamGoods {
	var data model.CommunityTeamGoods
	get, err := eg.Where("id=?", id).Get(&data)
	if get == false || err != nil {
		return nil
	}
	return &data
}
